<?php
	
	if( !function_exists( 'add_affiliate_banner_click' ) ) {
		add_action( 'wp_ajax_banner_click', 'add_affiliate_banner_click' );
		add_action( 'wp_ajax_nopriv_banner_click', 'add_affiliate_banner_click' );
		function add_affiliate_banner_click() {
			global $wpdb;
			
			$options = get_option( 'affiliate_banner_tracking' );
			
			$banner_id = $_REQUEST[ 'id' ];
			if( empty( $options[ $banner_id ][ 'clicks' ] ) ) $options[ $banner_id ][ 'clicks' ] = array();			if( !is_array( $options[ $banner_id ][ 'clicks' ] ) ) $options[ $banner_id ][ 'clicks' ] = array();
			$options[ $banner_id ][ 'clicks' ][] = time();
			update_option( 'affiliate_banner_tracking', $options );
			
			wp_die( json_encode( true ) );
			
		}
	}
	
	if( !function_exists( 'get_affiliate_banner_by_id' ) ) {
		add_action( 'wp_ajax_get_banner', 'get_affiliate_banner_by_id' );
		add_action( 'wp_ajax_nopriv_get_banner', 'get_affiliate_banner_by_id' );
		function get_affiliate_banner_by_id() {
			
			$options = get_option( 'affiliate_banner_tracking' );
			
			$id = $_REQUEST[ 'id' ];
			$group = $_REQUEST[ 'group' ];
			$size = $_REQUEST[ 'size' ];
			
			$filtered_banners = array();
			foreach( $options as $k => $v ) {
				
				if( $v[ 'active' ] != 'on' ) continue;
				
				if( !empty( $id ) && $id != $v[ 'id' ] ) continue;
				else if( empty( $id ) ) {
					if( !empty( $group ) && strtolower( $v[ 'group' ] ) != strtolower( $group ) ) continue;
					if( !empty( $size ) && strtolower( $v[ 'size' ] ) != strtolower( $size ) ) continue;
				}
				
				$filtered_banners[] = $v;
				
			}
			
			if( empty( $filtered_banners ) ) return;
			$t = array_rand( $filtered_banners );
			
			$banner_id = $filtered_banners[ $t ][ 'id' ];
			$banner = array(
				'script'	=> $filtered_banners[ $t ][ 'script' ],
				'id'		=> $banner_id
			);
			
			if( empty( $options[ $banner_id ][ 'impressions' ] ) )
				$options[ $banner_id ][ 'impressions' ] = array();			if( !current_user_can( 'administrator' ) ) {				if( !is_array( $options[ $banner_id ][ 'impressions' ] ) ) $options[ $banner_id ][ 'impressions' ] = array();				$options[ $banner_id ][ 'impressions' ][] = time();			}			update_option( 'affiliate_banner_tracking', $options );
			
			wp_die( json_encode( $banner ) );
			
		}
	}
	
?>