<?php

	

	// Backend Styles

	function affiliate_banner_styles() {

		wp_register_style( 'affiliate_banner_styles', plugins_url( '../css/style.css', __FILE__ ) );

		wp_enqueue_style('affiliate_banner_styles');

	}

    add_action( 'admin_print_styles', 'affiliate_banner_styles' );

	

	// Backend Scripts

	if( is_admin() ) {

		wp_register_script( 'affiliate_banner_tracker_script', plugins_url( '../js/script.js', __FILE__ ), array( 'jquery' ) );

		wp_enqueue_script( 'affiliate_banner_tracker_script' );

	}

	

	// Frontend Scripts

	if( !is_admin() ) {

		wp_register_script( 'affiliate_banner_postscribe_script', plugins_url( '../js/postscribe.min.js', __FILE__ ), array( 'jquery' ) );

		wp_enqueue_script( 'affiliate_banner_postscribe_script' );

	}

	

?>