<?php

	/**

	* Plugin Name: Affiliate Banner Manager

	* Plugin URI: https://www.codepalm.de

	* Description: Verwalte Deine Affiliate-Banner auf Deiner WordPress-Webseite

	* Version: 1.2.0

	* Author: Dennis Artinger

	* Author URI: https://www.codepalm.de

	* License: GPL2

	* License URI:  https://www.gnu.org/licenses/gpl-2.0.html

	* Text Domain:  atomik-affiliate-manager

	*/

	

	defined('ABSPATH') or die("No Script Kiddies, please");

	

	

	require plugin_dir_path( __FILE__ ) . 'inc/options_page.php';

	require plugin_dir_path( __FILE__ ) . 'inc/include.php';

	require plugin_dir_path( __FILE__ ) . 'inc/ajax.php';

	require plugin_dir_path( __FILE__ ) . 'inc/help.php';

	require plugin_dir_path( __FILE__ ) . 'inc/shortcode.php';

	

	if( is_admin() ) {

		require plugin_dir_path( __FILE__ ) . 'update/plugin-update-checker.php';

		$updateChecker = Puc_v4_Factory::buildUpdateChecker(

			'https://www.codepalm.de/updates/atomik_affiliate_manager/plugin.json',

			__FILE__,

			'atomik-affiliate-manager'

		);

	}

	

	

	function register_affiliate_banner_settings() {

		register_setting( 'affiliate_manager', 'affiliate_manager_banner', 'affiliate_manager_banner_validate' );

	}

	function affiliate_manager_banner_validate( $input ) {

		return $input;

	}

	

?>