(function($) {

	

	var _Form;

	var _Fieldsets;

	var formControl;

	

	$( document ).ready( function() {

		

		_Form = $( '#affiliate-banner-form' );

		_Fieldsets = _Form.children( '#fieldsets' );

		

		$.when( fieldsAdd() ).done( function() {

			fieldsChangeTracker();

		});

		

		$( '.fieldset_title' ).each( function() {

			$( this ).click( function() {

				if( $( this ).attr( 'data-active' ) == 'on' )

					$( this ).attr( 'data-active', 'off' );

				else

					$( this ).attr( 'data-active', 'on' );

			});

		});

		

	});

	

	function fieldsAdd( i ) {

		

		var deferred = $.Deferred();

		

		var empty_exists = false;

		if( _Fieldsets.children( 'fieldset' ).length > 0 )

			_Fieldsets.children( 'fieldset' ).each( function() {

				

				var name = $( this ).find( '.affiliate_banner_name' ).val();

				var script = $( this ).find( '.affiliate_banner_script' ).val();

				

				if( name == '' && script == '' )

					empty_exists = true;

				

			});

		

		if( _Fieldsets.children( 'fieldset.tracker' ).length <= 0 ) 

			i = 1;

		else if( typeof i === 'undefined' )

			i = parseInt( _Fieldsets.children( 'fieldset.tracker' ).last().attr( 'data-id' ) ) + 1;

		

		if( !empty_exists ) {

			// Add empty Fieldset

			var emptyFieldset = '';

			emptyFieldset += '<fieldset class="tracker" id="affiliate_banner_form_'+i+'" data-id="'+i+'">';

				emptyFieldset += '<input type="text" class="affiliate_banner_id" name="val_'+i+'_id" id="val_'+i+'_id" placeholder="Affiliate ID" value="'+i+'" readonly />';

				emptyFieldset += '<input type="text" class="affiliate_banner_name" name="val_'+i+'_name" id="val_'+i+'_name" placeholder="Affiliate Name" value="" />';

				emptyFieldset += '<input type="text" list="data_group_list_'+i+'" class="affiliate_banner_group" name="val_'+i+'_group" id="val_'+i+'_group" placeholder="Banner Group" value="" />';

				if( _Fieldsets.last().find( 'datalist.banner_list_group' ).length > 0 ) {

					emptyFieldset += '<datalist class="banner_list_group" id="data_group_list_'+i+'">';

							emptyFieldset += _Fieldsets.last().find( 'datalist.banner_list_group' ).html();

					emptyFieldset += '</datalist>';

				}

				emptyFieldset += '<input type="text" list="data_size_list_'+i+'" class="affiliate_banner_size" name="val_'+i+'_size" id="val_'+i+'_size" placeholder="Banner Size" value="" />';

				if( _Fieldsets.last().find( 'datalist.banner_list_size' ).length > 0 ) {

					emptyFieldset += '<datalist class="banner_list_size" id="data_size_list_'+i+'">';

							emptyFieldset += _Fieldsets.last().find( 'datalist.banner_list_size' ).html();

					emptyFieldset += '</datalist>';

				}

				emptyFieldset += '<label for="val_'+i+'_active" class="checkbox_label"><input type="checkbox" class="affiliate_banner_active" name="val_'+i+'_active" id="val_'+i+'_active"> Aktiv</label>';

				emptyFieldset += '<textarea class="affiliate_banner_script" name="val_'+i+'_script" id="val_'+i+'_script" placeholder="Affiliate Banner" ></textarea>';

			emptyFieldset += '</fieldset>';

			

			_Fieldsets.append( emptyFieldset );

			

			if( _Fieldsets.children( '#affiliate_banner_form_'+i ).length > 0 )

				deferred.resolve();

			else

				deferred.reject();

		}

		else

			deferred.resolve();

		

		return deferred.promise();

		

	}

	function fieldsChangeTracker() {

		

		_Fieldsets.children( 'fieldset' ).each( function() {

			

			var _Fieldset = $( this );

			$( this ).children( 'input' ).each( function() {

				var _Input = $( this );

				

				$( this ).change( function() {

					

					var _Banner_ID = _Fieldset.children( 'input.affiliate_banner_id' );

					var _Banner_Name = _Fieldset.children( 'input.affiliate_banner_name' );

					

					if( _Banner_ID.val() != "" && _Banner_Name.val() != "" ) {

						

						window.clearTimeout( formControl );

						formControl = window.setTimeout( function() {

							$.when( fieldsAdd() ).done( function() {

								fieldsChangeTracker();

							});

						}, 1000 );

						

					}

					

				});

			});

			

		});

		

	}

	

	$( document ).ready( function() {

		$( '.preview_affiliate_banner' ).each( function() {

			$( this ).click( function() {

				

				var ID = $( this ).attr( 'data-id' );

				previewFunction( ID );

				

			});

		});

	});

	function previewFunction( ID ) {

		

		var script = $( '#val_'+ID+'_script' ).val();

		var w = window.open('', "", "width=600, height=400, scrollbars=yes");

		w.document.write( script );

		

	}

	

})(jQuery);